Question

[RHEL9] Install central documentation

  • 22 August 2023
  • 5 replies
  • 246 views

Badge +4

Hello,

 

i trying to install a new central Centreon on RHEL9, i’m new on redhat but in this documentation (https://docs.centreon.com/fr/docs/installation/installation-of-a-central-server/using-packages/#pr%C3%A9requis) there is a command which doesn’t work :

dnf config-manager --set-enabled codeready-builder-for-rhel-9-rhui-rpms

it’s failed because there no repo with this name, i thnink it’s du to https://access.redhat.com/solutions/6970108

 

If it’s the case , it seem like is not resolve yet, do Centreon still work in redhat 9 ?

 

Regard

 


5 replies

Userlevel 6
Badge +19

Hi @chi-miel did you register your Red Hat server to have access to repositories?

Badge +4

hi,
Sorry for the delay, yes, use a testing licence for dev only.

https://developers.redhat.com/articles/faqs-no-cost-red-hat-enterprise-linux

 

Regards

Badge +5

Hello

We have the same problem with the documentation.

We have a Red Hat Enterprise Linux for Virtual Datacenters, Standard subscription, which contains:

  • codeready-builder-for-rhel-9-x86_64-debug-rpms
  • codeready-builder-for-rhel-9-x86_64-rpms
  • codeready-builder-for-rhel-9-x86_64-source-rpms

The server is registered with the licence. No trace of the rhui package.

Is this a barrier to further installation?

EDIT: This is an OnPrem install.

EDIT2:

subscription-manager repos --enable codeready-builder-for-rhel-9-x86_64-rpms

dnf config-manager --set-enabled codeready-builder-for-rhel-9-rhui-rpms

Aren’t they same repo for differents infrastructures?

The rhui repo seems to be used for cloud install using RHUI, not OnPrem RedHat 9.

Userlevel 4
Badge +6

Hello @quentinrey,

You can ignore this command, it is only for AWS machines. We will amend the doc accordingly.

Regards

Badge +5

Hello @quentinrey,

You can ignore this command, it is only for AWS machines. We will amend the doc accordingly.

Regards

Thanks for the reply!

I'll take advantage of this, when installing 24.04 we also have a package error that we don't have with 23.10:

Erreur : Impossible de trouver une correspondance: centreon-gorgoned-selinux 2024-05-16 10:02:06+02:00 - ERROR - Could not install Centreon SELinux packages

EDIT: I opened an issue for this instead: https://github.com/centreon/centreon/issues/4111

Reply